Skip to main content
POST
/
datasets
/
v3
/
scrape
curl --request POST \
  --url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lz11l67o2cb3r0lkj3&include_errors=true' \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{"input": [{"url": "https://www.facebook.com/groups/123456789"}, {"url": "https://www.facebook.com/groups/987654321"}]}'
[
  {
    "url": "https://www.facebook.com/groups/532855527252024/posts/2189486054922288/",
    "post_id": "2189486054922288",
    "user_url": "https://www.facebook.com/people/User/61557299394534/",
    "user_username_raw": "EnhleNandie Mhlutshwa",
    "content": null,
    "date_posted": "2026-03-26T19:05:20.000Z",
    "num_comments": 0,
    "num_shares": 0,
    "group_name": "Job Seekers Community",
    "group_id": "532855527252024",
    "group_url": "https://www.facebook.com/groups/532855527252024/",
    "group_category": "Public group",
    "group_logo": "https://...",
    "group_members": 226500,
    "group_created_at": "2019-07-17T07:27:18.000Z",
    "user_is_verified": false,
    "attachments": [],
    "post_type": "Post",
    "likes": null,
    "profile_id": "61557299394534"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

dataset_id
string
default:"gd_lz11l67o2cb3r0lkj3"
required
The dataset ID used for this request.
Must be set to gd_lz11l67o2cb3r0lkj3 to collect Facebook posts by group data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.facebook.com/groups/123456789"},
    {"url": "https://www.facebook.com/groups/987654321"}
  ]
}
[
  {
    "url": "https://www.facebook.com/groups/532855527252024/posts/2189486054922288/",
    "post_id": "2189486054922288",
    "user_url": "https://www.facebook.com/people/User/61557299394534/",
    "user_username_raw": "EnhleNandie Mhlutshwa",
    "content": null,
    "date_posted": "2026-03-26T19:05:20.000Z",
    "num_comments": 0,
    "num_shares": 0,
    "group_name": "Job Seekers Community",
    "group_id": "532855527252024",
    "group_url": "https://www.facebook.com/groups/532855527252024/",
    "group_category": "Public group",
    "group_logo": "https://...",
    "group_members": 226500,
    "group_created_at": "2019-07-17T07:27:18.000Z",
    "user_is_verified": false,
    "attachments": [],
    "post_type": "Post",
    "likes": null,
    "profile_id": "61557299394534"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

dataset_id
string
default:gd_lz11l67o2cb3r0lkj3
required

Must be gd_lz11l67o2cb3r0lkj3 for this dataset.

notify
boolean
default:false

Send notifications when the request is completed.

include_errors
boolean
default:true

Include errors in the response.

Body

application/json
input
object[]
required

Array of input objects. See Request Body below for the supported fields.

Response

200 - application/json

OK. See response example below the parameters.